# $Revision: 1.6 $, $Date: 2003/09/02 13:47:16 $
Summary:	Extensible Binary Meta Language access library
Summary(pl):	Biblioteka dostpu rozszerzalnego metajzyka binarnego
Name:		libmatroska
Version:	0.5.0
Release:	1
License:	GPL v2 or QPL
Group:		Libraries
Source0:	http://matroska.free.fr/downloads/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	9466e83c1f150a84fe5408f426eea041
Patch0:		%{name}-makefile.patch
URL:		http://www.matroska.org/
BuildRequires:	libebml-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Matroska is an extensible open standard Audio/Video container format,
aiming to become the standard of Multimedia Container Formats one day.
It is based on EBML (Extensible Binary Meta Language), a kind of
binary version of XML. This way the significant advantages in terms of
future format extensibility are gained without breaking file support
in old parsers.

%description -l pl
Matroska to rozszerzalny otwarty format kodowania dwiku i obrazu,
dcy do stania si pewnego dnia standardem formatw zawierajcych
multimedia. Jest on oparty na EBML (rozszerzalnym metajzyku
binarnym), binarnym odpowiedniku XML. W ten sposb ma on przewag nad
innymi formatami pod wzgldem przyszej rozszerzalnoci przy
jednoczesnym zachowaniu kompatybilnoci wstecz.

%package devel
Summary:	Header files for matroska library
Summary(pl):	Nagwki dla biblioteki matroska
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libstdc++-devel

%description devel
Header files for matroska library.

%description devel -l pl
Nagwki dla biblioteki matroska.

%package static
Summary:	Static version of matroska library
Summary(pl):	Statyczna wersja biblioteki matroska
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of matroska library.

%description static -l pl
Statyczna wersja biblioteki matroska.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .djurban

%build
%{__make} -C make/linux \
	prefix=%{_prefix} \
	CXX="%{__cxx}" \
	LD="%{__cxx}" \
	DEBUGFLAGS="%{rpmcflags} %{?debug:-DDEBUG}" \
	LDFLAGS="%{rpmldflags}" \
	LIBEBML_INCLUDE_DIR="%{_includedir}/ebml"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C make/linux install \
	prefix=$RPM_BUILD_ROOT%{_prefix}

# prepare docs (with working hyperlinks)
#install -d doc
#cp --parents src/api/index.html src/api/c/index.html doc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmatroska.so.*.*.*

%files devel
%defattr(644,root,root,755)
##%doc doc/src/api/*
%attr(755,root,root) %{_libdir}/libmatroska.so
%{_libdir}/libmatroska.la
%{_includedir}/matroska

%files static
%defattr(644,root,root,755)
%{_libdir}/libmatroska.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmatroska.spec,v $
Revision 1.6  2003/09/02 13:47:16  djurban
- 0.5.0

Revision 1.5  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/07/09 07:47:42  qboosh
- clearer License

Revision 1.3  2003/07/08 20:43:15  qboosh
- better makefile patch (use libtool, it takes care of using fPIC etc.)
- simplified build

Revision 1.2  2003/07/04 10:29:05  qboosh
- some cleanups

Revision 1.1  2003/06/29 17:18:18  djurban
- mplayer revolution continues
- initial version 0.4.4
